Bug 467795 - isc-config.sh returns "-lcap" instead of "-lpcap"
isc-config.sh returns "-lcap" instead of "-lpcap"
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: bind (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Adam Tkac
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-20 17:50 EDT by Paul Wouters
Modified: 2013-04-30 19:41 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-21 04:32:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Wouters 2008-10-20 17:50:34 EDT
Description of problem:
While trying to compile a program (dnsperf) against some bind libraries, which uses isc-config.sh, this call results in the wrong list of libraries required.
Instead of -lcap which does not exist on Fedora, it should return -lpcap instead.

Version-Release number of selected component (if applicable):
9.5.0-35.P2.fc9

How reproducible:
always

Steps to Reproduce:
1.isc-config.sh  --libs dns bind9
2.
3.
  
Actual results:
-L/usr/lib -lbind9 -ldns -L/usr/lib -lgssapi_krb5 -lcrypto -lisccfg -lisc -lcap -lnsl -lpthread
Expected results:
-L/usr/lib -lbind9 -ldns -L/usr/lib -lgssapi_krb5 -lcrypto -lisccfg -lisc -lpcap -lnsl -lpthread

Additional info:
Comment 1 Adam Tkac 2008-10-21 04:32:40 EDT
libcap and libpcap are two different libraries. libpcap is used for network monitoring and libcap is used as POSIX capabilities API:

$ rpm -qa |grep 'lib.*cap'
libpcap-0.9.8-3.fc10.x86_64
libcap-devel-2.10-2.fc10.x86_64
libcap-2.10-2.fc10.x86_64
libpcap-devel-0.9.8-3.fc10.x86_64

you have to install libcap-devel package.

Note You need to log in before you can comment on or make changes to this bug.